# Enum Class Cardinal

java.lang.Object
java.lang.Enum<Cardinal>
Cardinal

All Implemented Interfaces:
  `Serializable`, `Comparable<Cardinal>`, `Constable`

public enum Cardinal extends Enum<Cardinal>

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`E`
`N`
`NE`
`NW`
`S`
`SE`
`SW`
`W`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`Cardinal()`

## Method Summary

Modifier and Type
Method
Description
`static Cardinal`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Cardinal[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### N

public static final Cardinal N

### NE

public static final Cardinal NE

### E

public static final Cardinal E

### SE

public static final Cardinal SE

### S

public static final Cardinal S

### SW

public static final Cardinal SW

### W

public static final Cardinal W

### NW

public static final Cardinal NW

## Constructor Details

### Cardinal

private Cardinal()

## Method Details

### values

public static Cardinal[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Cardinal valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null